<?php

function getGet($key,$default=NULL) {
	return getValue($key,$_GET,$default);
}
function getPost($key,$default=NULL) {
	return getValue($key,$_POST,$default);
}
function getRequest($key,$default=NULL) {
	return getValue($key,$_REQUEST,$default);
}
function getCookie($key,$default=NULL) {
	return getValue($key,$_COOKIE,$default);
}
function getSession($key,$default=NULL) {
	return getValue($key,$_SESSION,$default);
}
function getQueryVar($key,$default=NULL) {
	global $wp_query;
	return getValue($key,$wp_query->query_vars,$default);
}
function getValue($key,$obj,$default=NULL) {
	if (is_array($obj) && array_key_exists($key, $obj)) {
		return $obj[$key];
	} elseif (is_object($obj) && property_exists($obj,$key)) {
		return $obj->$key;
	} else {
		return $default;
	}
}

function gulf_country_list() {
	return (Array) json_decode(file_get_contents(dirname(__FILE__).'/countries.json'));
}