<?php

$facebook = get_theme_mod('facebook');
$twitter = get_theme_mod('twitter');

$social = array_filter(array(
	$facebook,
	$twitter,
));

$rows = array();
if ($facebook && $twitter) {
	$rows[] = array(
		(object) array('cols'=>4,'type'=>'facebook','content'=>social_facebook($facebook,4)),
		(object) array('cols'=>8,'type'=>'twitter','content'=>social_twitter($twitter)),
	);
} elseif ($facebook) {
	$rows[] = array(
		(object) array('cols'=>12,'type'=>'facebook','content'=>social_facebook($facebook,12)),
	);
} elseif ($twitter) {
	$rows[] = array(
		(object) array('cols'=>12,'type'=>'twitter','content'=>social_twitter($facebook)),
	);
}

if (empty($social)) {
	return;
}
?>
<div id="social">
	<?php
	foreach ($rows as $row) {
		?>
		<div class="row">
			<?php
			foreach ($row as $col) {
				?>
			<div class="social-box columns medium-<?php print $col->cols ?>" id="footer-social-<?php print $col->type ?>"><?php print $col->content ?></div>
				<?php
			}
			?>
		</div>
		<?php
	}
	?>
</div> 