<?php
$image = get_post_thumbnail_id();
?>
<article id="post-<?php the_ID(); ?>" <?php post_class($image? 'has-image' : 'no-image'); ?> role="article">
	<div class="row" data-equalizer data-equalize-on="medium">
		
		<?php
		if ($image) {
			$image = new Image($image);
			?>
			<div class="post-imagery columns medium-6">
				<div style="background-image: url('<?php print $image->url(600,400) ?>');" data-equalizer-watch>
					<a class="linkbutton" href="<?php print get_permalink() ?>"><i class="fa fa-chevron-right fa-2x" aria-hidden="true"></i></a>
				</div>
			</div>
			<?php
		} else {
			?><a class="linkbutton" href="<?php print get_permalink() ?>"><i class="fa fa-chevron-right fa-2x" aria-hidden="true"></i></a><?php
		}
		?>		
		

		<div class="columns <?php print $image? 'medium-6' : '' ?>">
			<div class="article-pad" data-equalizer-watch>
				<header class="article-header">
					<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
					<?php get_template_part( 'parts/content', 'byline' ); ?>
				</header> <!-- end article header -->

				<section class="entry-content" itemprop="articleBody">
					<?php the_excerpt(" "); ?>
				</section> <!-- end article section -->

				<footer class="article-footer">
					<p class="tags"><?php the_tags('<span class="tags-title">' . __('Tags:', 'gulfoiltheme') . '</span> ', ', ', ''); ?></p>
				</footer> <!-- end article footer -->	

			</div>
		</div>
		
	</div>
</article> <!-- end article -->